<template>
  <button
    type="submit"
    class="inline-block relative font-bold font-bold bg-red-default w-full text-center text-white hover:text-white rounded-md py-2 px-5"
  >
    <slot></slot>
    <div v-if="isLoading" class="absolute right-5 top-1">
      <a-spin>
        <a-icon
          slot="indicator"
          type="loading"
          style="font-size: 20px; color: white"
        />
      </a-spin>
    </div>
  </button>
</template>

<script>
export default {
  name: 'BSubmitButton',
  props: {
    isLoading: {
      type: Boolean,
      default: false,
    },
  },
}
</script>
